Version de logiciels

décembre 2016 modifié dans Communauté
Salut à tous,

petite question concernant le fonctionnement de Deepin : d'après ce que j'ai compris, la distribution est basée sur Debian unstable mais à mis en place c'est propres dépôts c'est ça ? Est-ce pleinement compatible avec synaptique ? Ou doit-on passé par le store et la ligne de commande (apt get ou apt ?)

Quand on regarde les versions proposées il y a des différences avec les versions récentes (je ne critique pas, je constate car je découvre cette distribution) : firefox est en version 46 et chrome en 49, alors que ces logiciels doivent être en version 47 et 51 respectivement. Par contre le store est bien fourni NylasN1 Vivaldi, opéra... On a bien le choix !
Les mises à jour se font pour ces logiciels ou on doit chercher les .deb ?

Enfin dernière chose, lorsque je me sers du script pour changer mon miroir pour un plus rapide je tombe systématiquement sur un qui ne fonctionne pas et je dois revenir sur le miroir originel (qui fonctionne pas très vite mais bien !)

Voiloù ! bonne journée à tous

PS : sympa ce style de forum en questions réponses ! Au début on n'a pas les marques mais après ça tourne super bien !

Commentaires

  • Bonjour Aldrik,

    Je vais essayer de répondre a quelques questions:

    - Deepin étant basé sur Debian-instable, elle partage les mêmes version de paquets.
    Si tu ne trouve pas les toutes dernières versions ce n'est qu'une histoire de jours. C'est le temps nécessaire pour que la team debian le test en développement et le rajoute sur les dépots d'"unstable". 
    Par exemple: je te confirme que la version actuel de la debian unstable pour firefox est toujours la v46 (Comme deepin)

    - Oui, les mises-à-jours qui te serons proposé par deepin, concerne aussi bien les correctifs systemes que les applications dont firefox/chrome. Donc tu n'as juste qu'a suivre les mise-à-jour pour ...être à jour :)

    - Pour le script, merci de nous indiquer le lien qui est généré. On va l'exclure de la liste pour le moment :( 
    Une fois retiré, ca devrais fonctionner bcp plus vite sur un autre dépot ( le dépot chinois est véritablement trop long).
    En attendant, passe par la méthode manuelle : 
    sudo gedit /etc/apt/sources.list
    et met ceci : 
    ## Generer par Deepin-fr
    deb [by-hash=force] http://www.mirrorservice.org/sites/packages.linuxdeepin.com/deepin/ unstable main contrib non-free

    Si tu aimes le forum, attends toi a une surprise dès le mois prochain. :)
    Je n'en dit pas plus :wink: 
  • Hello, merci à toi pour toutes ces réponses.
    Je viens de ré-essayer le choix d'un dépot en passant par le script : là j'ai relancé sysnaptique et fais une mise à jour des dépots et tout a bien marché. Le store aussi. Par contre je ne saurais pas te dire si c'est le même que hier ou un autre...
    Vivement les surprises concernant le forum :)
    @ bientôt
    Aldrik
  • Parfait :wink: 
Connectez-vous ou Inscrivez-vous pour répondre.